<?php
/**
 * Created by PhpStorm.
 * User: tuliomagalhaes
 * Date: 25/02/2016
 * Time: 16:36
 */

namespace Controller;

use Util\Utilities;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\Controller\Simple;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\DevOps\Model\Projectmanagement\Entities;

class ResourceWithCrud extends \Generated\Controller\ResourceWithCrud
{

    public function __construct(Manager $dataSourceManager, Utilities $environment)
    {
        parent::__construct($dataSourceManager);
        $this->environment = $environment;
    }

    public function findWorkType(Request\Filter $request, Response $response)
    {
        $request->getFilterCriteria()->addCondition("STATUS", "=", Entities\Resource::IS_ACTIVE);
        $request->getFilterCriteria()->addCondition("ORGANIZATION", "=", $this->environment->getCurrentOrganizationId());
        $request->getFilterCriteria()->addCondition("RESOURCES_TYPE", "=", Entities\Resource::WORK_RESOURCE);
        parent::findSetNameDataSet($request, $response,'findResourcesWorkType');
    }

    public function findEmailIsNotNull(Request\Filter $request, Response $response)
    {
        $request->getFilterCriteria()->addCondition("STATUS", "=", Entities\Resource::IS_ACTIVE);
        $request->getFilterCriteria()->addCondition("ORGANIZATION", "=", $this->environment->getCurrentOrganizationId());
        $request->getFilterCriteria()->addCondition("EMAIL", \Zeedhi\Framework\DataSource\FilterCriteria::IS_NOT_NULL,null);
        parent::findSetNameDataSet($request, $response,'findEmailIsNotNull');
    }

} 