/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_PROMOPRBASE                                              */
/* Tabela : PROMOPRBASE                                                       */
/*                                                                            */
/* Criao:                                                                   */
/* 29/07/2016 - Srgio Pow Gomes                                              */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_PROMOPRBASE
BEFORE INSERT OR UPDATE OR DELETE
ON PROMOPRBASE FOR EACH ROW

BEGIN
   IF INSERTING THEN
      UPDATE PRODWEBSYNC
         SET IDATUALIZADO = 'N', DTULTALTPROD = SYSDATE
       WHERE CDPRODUTO = :NEW.CDPRODUTO;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDPRECOBASE   ,0) <> NVL(:NEW.CDPRECOBASE   ,0)) OR
         (NVL(:OLD.CDPRODUTO     ,0) <> NVL(:NEW.CDPRODUTO     ,0)) OR
         (NVL(:OLD.IDTIPOPROMO   ,0) <> NVL(:NEW.IDTIPOPROMO   ,0)) OR
         (NVL(:OLD.IDDIASPROMO   ,0) <> NVL(:NEW.IDDIASPROMO   ,0)) OR
         (NVL(:OLD.VRPERBASEPROMO,0) <> NVL(:NEW.VRPERBASEPROMO,0)) OR
         (NVL(:OLD.VRTOTALPROMO  ,0) <> NVL(:NEW.VRTOTALPROMO  ,0)) OR
         (NVL(:OLD.IDSTATUSPROMO ,0) <> NVL(:NEW.IDSTATUSPROMO ,0)) OR
         (NVL(:OLD.DTINIVALIPB   ,TO_DATE('31/12/1899','DD/MM/YYYY')) <> NVL(:NEW.DTINIVALIPB,TO_DATE('31/12/1899','DD/MM/YYYY'))) OR
         (NVL(:OLD.DTINIPROMO    ,TO_DATE('31/12/1899','DD/MM/YYYY')) <> NVL(:NEW.DTINIPROMO ,TO_DATE('31/12/1899','DD/MM/YYYY'))) OR
         (NVL(:OLD.DTFINPROMO    ,TO_DATE('31/12/1899','DD/MM/YYYY')) <> NVL(:NEW.DTFINPROMO ,TO_DATE('31/12/1899','DD/MM/YYYY'))) THEN

         UPDATE PRODWEBSYNC
            SET IDATUALIZADO = 'N', DTULTALTPROD = SYSDATE
          WHERE CDPRODUTO = :NEW.CDPRODUTO;
      END IF;
   END IF;
   IF DELETING THEN
      UPDATE PRODWEBSYNC
         SET IDATUALIZADO = 'N', DTULTALTPROD = SYSDATE
       WHERE CDPRODUTO = :NEW.CDPRODUTO;
   END IF;
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_PROMOPRBASE','6.05.xxx'); END;
/