function DescriptionController($scope) {

    var field = $scope.field;

    /**
     * Gives the component's header.
     */
    this.getHeader = function() {
        return field.head;
    };

    /**
     * Determines whereas the field has a header.
     * @returns {String} The component header.
     */
    this.hasHeader = function() {
        return this.getHeader() === undefined ? false : true;
    };

    /**
     * Gives the component's body.
     * @returns {String} The component's body.
     */
    this.getBody = function() {
        if (field.isJson) {
            field.body = JSON.stringify(JSON.parse(field.body), 0, 8);
        }
        return field.body;
    };

    /**
     * Determines whereas the field has a body.
     * @returns {String} The component body.
     */
    this.hasBody = function() {
        return this.getBody() === undefined ? false : true;
    };
}